> ## Documentation Index
> Fetch the complete documentation index at: https://developer.uphold.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List assets

> List assets supported by the platform.

export const RestEndpointSubjects = ({subjects = []}) => {
  const subjectToIconMap = {
    'client': 'browser',
    'user:individual': 'user',
    'user:business': 'briefcase'
  };
  if (subjects.length === 0) {
    return null;
  }
  return <>
      {subjects.map(subject => <a key={subject} href="/rest-apis/authentication#subjects" className="border-0 opacity-85 hover:opacity-100 transition-opacity">
          <Badge stroke size="lg" icon={subjectToIconMap[subject]} color="gray" className="mr-1">
            {subject}
          </Badge>
        </a>)}
    </>;
};

<RestEndpointSubjects subjects={["client", "user:individual", "user:business"]} />

If the [subject](../../authentication#subjects) calling the endpoint is a user, the response will be contextualized accordingly.
As an example, the `features` field will indicate the available features for the user.

<Tip>You can retrieve several assets in a single request by using the [Get Many Assets](./get-many-assets) endpoint.</Tip>

## Sorting

You can sort the assets by using the `sort` query parameter. Below are the available sorting options:

<AccordionGroup>
  <Accordion title="By name" icon="font">
    To sort by name, use the `sort=name:asc` or `sort=name:desc` to sort in ascending or descending order, respectively.
  </Accordion>

  <Accordion title="By code" icon="barcode">
    To sort by code, use the `sort=code:asc` or `sort=code:desc` to sort in ascending or descending order, respectively.
  </Accordion>

  <Accordion title="By price" icon="dollar-sign">
    To sort by current price, use the `sort=price:asc` or `sort=price:desc` to sort in ascending or descending order, respectively.
  </Accordion>

  <Accordion title="By price variance" icon="chart-line">
    The `price-delta` allows you to sort assets by gainers and losers, showing assets with the highest and lowest price changes in a given interval.

    To sort by price delta, use the `sort=price-delta:asc:<interval>` or `sort=price-delta:desc:<interval>` to sort in ascending or descending order, respectively, where `interval` can be `one-hour`, `one-day`, `one-week`, `one-month`, `one-year`, or `five-years`.
  </Accordion>

  <Accordion title="By market cap" icon="coins">
    To sort by market cap, use the `sort=market-cap:asc` or `sort=market-cap:desc` to sort in ascending or descending order, respectively.
  </Accordion>
</AccordionGroup>


## OpenAPI

````yaml _media/specs/core-openapi.mintlify.json get /core/assets
openapi: 3.1.0
info:
  version: 0.1.0
  title: Core API
  description: >-
    The Core API provides essential building blocks that empower businesses to
    embed financial services into their applications.
  contact:
    name: Uphold API Team
    email: developers@uphold.com
    url: https://developer.uphold.com
servers:
  - url: https://api.enterprise.sandbox.uphold.com
    description: Sandbox
  - url: https://api.enterprise.uphold.com
    description: Production
security:
  - OAuth2: []
tags:
  - name: Authentication
    description: Authentication.
  - name: Countries
    description: Countries.
  - name: Users
    description: Users.
  - name: KYC
    description: Individual User's KYC.
  - name: KYB
    description: Business User's KYB.
  - name: Capabilities
    description: User capabilities.
  - name: Terms of service
    description: User terms of service.
  - name: Files
    description: Files.
  - name: Assets
    description: Assets, networks and rails.
  - name: Accounts
    description: Accounts.
  - name: External accounts
    description: External accounts.
  - name: Transactions
    description: Transactions.
  - name: Portfolio
    description: Portfolio.
  - name: Statements
    description: Statements.
  - name: Metadata
    description: Metadata.
  - name: Webhooks
    description: Webhooks.
paths:
  /core/assets:
    get:
      tags:
        - Assets
      summary: List assets
      description: List assets supported by the platform.
      operationId: core.list-assets
      parameters:
        - $ref: '#/components/parameters/list-assets-type-filter'
        - $ref: '#/components/parameters/list-assets-sort'
      responses:
        '200':
          $ref: '#/components/responses/list-assets-response'
components:
  parameters:
    list-assets-type-filter:
      name: type
      description: Filter assets by type.
      in: query
      explode: false
      required: false
      schema:
        type: array
        uniqueItems: true
        maxItems: 25
        items:
          $ref: '#/components/schemas/asset-type'
      examples:
        Crypto Asset Type:
          value:
            - crypto
    list-assets-sort:
      name: sort
      in: query
      description: Sort assets by a criterion.
      required: false
      schema:
        type: string
        enum:
          - code:asc
          - code:desc
          - name:asc
          - name:desc
          - price:asc
          - price:desc
          - price-delta:asc:one-hour
          - price-delta:asc:one-day
          - price-delta:asc:one-week
          - price-delta:asc:one-month
          - price-delta:asc:one-year
          - price-delta:asc:five-years
          - price-delta:desc:one-hour
          - price-delta:desc:one-day
          - price-delta:desc:one-week
          - price-delta:desc:one-month
          - price-delta:desc:one-year
          - price-delta:desc:five-years
          - market-cap:asc
          - market-cap:desc
        default: code:asc
  responses:
    list-assets-response:
      description: Assets list retrieved.
      content:
        application/json:
          schema:
            type: object
            properties:
              assets:
                type: array
                items:
                  $ref: '#/components/schemas/asset'
            required:
              - assets
          examples:
            Assets Retrieved:
              value:
                assets:
                  - code: GBP
                    name: British Pound
                    type: fiat
                    symbol: £
                    decimals: 2
                    logo: https://cdn.uphold.com/assets/GBP.svg
                    features:
                      - buy
                      - deposit
                      - sell
                      - transfer
                      - withdraw
                    cooldowns: []
                  - code: BTC
                    name: Bitcoin
                    type: crypto
                    symbol: ₿
                    decimals: 8
                    logo: https://cdn.uphold.com/assets/BTC.svg
                    features:
                      - buy
                      - deposit
                      - sell
                      - transfer
                      - withdraw
                    cooldowns: []
                  - code: ETH
                    name: Ether
                    type: crypto
                    symbol: Ξ
                    decimals: 18
                    logo: https://cdn.uphold.com/assets/ETH.svg
                    features:
                      - buy
                      - deposit
                      - sell
                      - transfer
                      - withdraw
                    cooldowns: []
                  - code: USDC
                    name: USDC
                    type: crypto
                    symbol: $
                    decimals: 6
                    logo: https://cdn.uphold.com/assets/USDC.svg
                    features:
                      - buy
                      - sell
                      - transfer
                    cooldowns: []
                  - code: BAT
                    name: BAT
                    type: crypto
                    decimals: 18
                    logo: https://cdn.uphold.com/assets/BAT.svg
                    features:
                      - buy
                      - deposit
                      - sell
                      - transfer
                      - withdraw
                    cooldowns: []
            Assets With Cooldowns Retrieved:
              value:
                assets:
                  - code: GBP
                    name: British Pound
                    type: fiat
                    symbol: £
                    decimals: 2
                    logo: https://cdn.uphold.com/assets/GBP.svg
                    features:
                      - buy
                      - deposit
                      - sell
                      - transfer
                      - withdraw
                    cooldowns: []
                  - code: BTC
                    name: Bitcoin
                    type: crypto
                    symbol: ₿
                    decimals: 8
                    logo: https://cdn.uphold.com/assets/BTC.svg
                    features:
                      - sell
                      - transfer
                      - withdraw
                    cooldowns:
                      - rule: financial-promotions
                        features:
                          - buy
                          - deposit
                        endsAt: '2020-01-01T00:00:00.000Z'
                  - code: ETH
                    name: Ether
                    type: crypto
                    symbol: Ξ
                    decimals: 18
                    logo: https://cdn.uphold.com/assets/ETH.svg
                    features:
                      - sell
                      - transfer
                      - withdraw
                    cooldowns:
                      - rule: financial-promotions
                        features:
                          - buy
                          - deposit
                        endsAt: '2020-01-01T00:00:00.000Z'
                  - code: USDC
                    name: USDC
                    type: crypto
                    symbol: $
                    decimals: 6
                    logo: https://cdn.uphold.com/assets/USDC.svg
                    features:
                      - sell
                      - transfer
                    cooldowns:
                      - rule: financial-promotions
                        features:
                          - buy
                        endsAt: '2024-12-31T23:59:59.000Z'
                  - code: BAT
                    name: BAT
                    type: crypto
                    decimals: 18
                    logo: https://cdn.uphold.com/assets/BAT.svg
                    features:
                      - sell
                      - transfer
                      - withdraw
                    cooldowns:
                      - rule: financial-promotions
                        features:
                          - buy
                          - deposit
                        endsAt: '2024-12-31T23:59:59.000Z'
      headers:
        x-uphold-request-id:
          description: >-
            A unique identifier for the request that can be shared with Uphold
            for troubleshooting purposes.
          required: true
          schema:
            type: string
            format: uuid
          examples:
            Request ID:
              value: 9092ee4d-f0fb-42e9-8787-b668dbcec531
  schemas:
    asset-type:
      description: The type of the asset.
      type: string
      enum:
        - fiat
        - crypto
    asset:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/asset-type'
        code:
          description: The unique code of the asset.
          type: string
        name:
          description: The name of the asset.
          type: string
        symbol:
          description: The symbol of the asset.
          type: string
        decimals:
          description: The maximum number of decimal places this asset can have.
          type: integer
          minimum: 0
        logo:
          description: The logo of the asset.
          type: string
          format: url
        features:
          description: The features of the asset.
          type: array
          items:
            $ref: '#/components/schemas/asset-features'
        cooldowns:
          description: The cooldowns of the asset.
          type: array
          items:
            type: object
            properties:
              rule:
                description: The cooldown rule.
                type: string
                enum:
                  - financial-promotions
              features:
                description: The features affected by the cooldown.
                type: array
                items:
                  $ref: '#/components/schemas/asset-features'
              endsAt:
                description: The date and time when the cooldown ends.
                type: string
                format: date-time
      required:
        - code
        - name
        - type
        - decimals
        - cooldowns
        - features
    asset-features:
      type: string
      enum:
        - buy
        - sell
        - transfer
        - withdraw
        - deposit
  securitySchemes:
    OAuth2:
      type: oauth2
      description: OAuth 2.0 authentication.
      flows:
        clientCredentials:
          tokenUrl: /core/oauth2/token
          scopes:
            core.users:act-on-behalf-of: Grants access to act on behalf of a user
            core.users:create: Grants access to create users
            core.users:read: Grants access to view users
            core.users:delete: Grants access to delete users
            core.users.metadata:read: Grants access to view user metadata
            core.users.metadata:write: Grants access to modify user metadata
            core.kyc:read: Grants access to view KYC processes
            core.kyc.profile:update: Grants access to update profile KYC process
            core.kyc.address:update: Grants access to update address KYC process
            core.kyc.email:update: Grants access to update email KYC process
            core.kyc.phone:update: Grants access to update phone KYC process
            core.kyc.identity:update: Grants access to update identity KYC process
            core.kyc.proof-of-address:update: Grants access to update proof-of-address KYC process
            core.kyc.customer-due-diligence:update: Grants access to update customer due diligence KYC process
            core.kyc.enhanced-due-diligence:update: Grants access to update enhanced due diligence KYC process
            core.kyc.crypto-risk-assessment:update: Grants access to update crypto risk assessment KYC process
            core.kyc.self-categorization-statement:update: Grants access to update self-categorization statement KYC process
            core.kyc.tax-details:update: Grants access to update tax details KYC process
            core.capabilities:read: Grants access to view user capabilities
            core.terms-of-service:read: Grants access to view terms of service
            core.terms-of-service:accept: Grants access to accept terms of service
            core.files:create: Grants access to create files
            core.files:read: Grants access to view files
            core.files.metadata:read: Grants access to view files metadata
            core.files.metadata:write: Grants access to modify files metadata
            core.accounts:create: Grants access to create accounts
            core.accounts:read: Grants access to view accounts
            core.accounts:update: Grants access to update accounts
            core.accounts:archive: Grants access to archive accounts
            core.accounts:deposit-method: >-
              Grants access to deposit method needed for depositing into
              accounts
            core.accounts:use-test-helpers: Grants access to test helpers of accounts
            core.accounts.metadata:read: Grants access to view accounts metadata
            core.accounts.metadata:write: Grants access to modify accounts metadata
            core.assets:use-test-helpers: Grants access to test helpers of assets
            core.external-accounts:create: Grants access to create external accounts
            core.external-accounts:read: Grants access to view external accounts
            core.external-accounts:update: Grants access to update external accounts
            core.external-accounts:delete: Grants access to delete external accounts
            core.external-accounts.metadata:read: Grants access to view external accounts metadata
            core.external-accounts.metadata:write: Grants access to modify external accounts metadata
            core.transactions:create: Grants access to commit quotes
            core.transactions:read: Grants access to view transactions
            core.transactions.metadata:read: Grants access to view transactions metadata
            core.transactions.metadata:write: Grants access to modify transactions metadata
            core.transactions.requests-for-information:read: Grants access to view transactions requests for information
            core.transactions.requests-for-information:update: Grants access to update transactions requests for information
            core.portfolio:read: >-
              Grants access to view portfolio overview, performance, and
              historical balance
            core.statements:read: Grants access to read statements
            core.webhooks:management-link: Grants access to create webhook management links

````